Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.car
Class ChannelTypeTagHandler

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.jasig.portal.car.ChannelTypeTagHandler

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

    public class ChannelTypeTagHandler

extends org.xml.sax.helpers.DefaultHandler

Handles the channel-type tags in CAR deployment descriptors enabling adding of channel types from within CARs automatically.

Version:
  $Revision: 1.3 $
Author:
  Mark Boyd

Field Summary
`private java.lang.StringBuffer` | `charBufr`
`private java.lang.String` | `clazz`
`private ParsingContext` | `ctx`
`private java.lang.String` | `description`
`private static org.apache.commons.logging.Log` | `log`
`private java.lang.String` | `name`
`private java.lang.String` | `uri`

Constructor Summary
`ChannelTypeTagHandler(ParsingContext ctx)`

Method Summary
`void` | `characters(char[] ch, int start, int length)` Handle the characters event to capture textual content for elements.
`void` | `endElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qName)` Handle the closing element event.
`void` | `startElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes atts)` Handle start element events.

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private static final org.apache.commons.logging.Log log

### clazz

    private java.lang.String clazz

### name

    private java.lang.String name

### description

    private java.lang.String description

### uri

    private java.lang.String uri

### ctx

    private ParsingContext ctx

### charBufr

    private java.lang.StringBuffer charBufr

Constructor Detail

### ChannelTypeTagHandler

    public ChannelTypeTagHandler(ParsingContext ctx)

Parameters:
  `ctx` -

Method Detail

### startElement

    public void startElement(java.lang.String namespaceURI,
                             java.lang.String localName,
                             java.lang.String qName,
                             org.xml.sax.Attributes atts)
                      throws org.xml.sax.SAXException

  Handle start element events.

  Specified by:
    `startElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `startElement` in class `org.xml.sax.helpers.DefaultHandler`
  Throws:
    `org.xml.sax.SAXException`

### characters

    public void characters(char[] ch,
                           int start,
                           int length)
                    throws org.xml.sax.SAXException

  Handle the characters event to capture textual content for elements.

  Specified by:
    `characters` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `characters` in class `org.xml.sax.helpers.DefaultHandler`
  Throws:
    `org.xml.sax.SAXException`

### endElement

    public void endElement(java.lang.String namespaceURI,
                           java.lang.String localName,
                           java.lang.String qName)
                    throws org.xml.sax.SAXException

  Handle the closing element event.

  Specified by:
    `endElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `endElement` in class `org.xml.sax.helpers.DefaultHandler`
  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD